Subject: Re: Linux 2.6.x on 8xx status

From: Pantelis Antoniou <[email-masked]>
Date: Thu, 24 Mar 2005 16:05:13 +0200

Marcelo Tosatti wrote:
> On Wed, Mar 23, 2005 at 11:12:11AM -0500, Dan Malek wrote:
> 
>>On Mar 23, 2005, at 5:25 AM, Marcelo Tosatti wrote:
>>
>>
>>>You misunderstood: get_mmu_context() _wont_ be called if the mm 
>>>structures
>>>are the same.
>>
>>I understood.  At most, get_mmu_context() will only do a 'tlbia'
>>instruction, I didn't see your reason for thinking this would have
>>an effect on the tlbie usage.
> 
> 
> OK. That is not a good reason, indeed.
> 
> 
>>>>Well, that's interesting.  It's likely to only happen on an 860 
>>>>variant
>>>>that
>>>>has the large TLB.
>>>
>>>For what reasoning?
>>
>>My initial debugging seemed to indicate a stale TLB entry.  With
>>the larger TLB this is more likely to happen.  The bug was never
>>seen on the 823/850 with smaller TLBs.
>>
>>I have a new 8xx board now, so I'll have to start working on these
>>issues as well.
> 
> 
> OK!

I've just managed to get 2.6.12-rc1 running on my 870 based board
and the tlb invalidate is still needed.

Investigating...

Regards

Pantelis